function makeSafariView(x, y, width, height, startingURL)
    -- SFSafariViewController is an ObjC fully-functional self-contained browser that you can resize & include in Codea app
    local URL = objc.NSURL
    local url = URL:URLWithString_("http://www.google.com")
    if startingURL then url = URL:URLWithString_(startingURL) end
    local SFSafariViewController = objc.SFSafariViewController
    local safariBrowser = SFSafariViewController:alloc():initWithURL_(url)
    vc:addChildViewController_(safariBrowser)
    vc.view:addSubview_(safariBrowser.view)
    vc.view.layer.cornerRadius = 18
    vc.view.clipsToBounds = true
    --objective-c has zero as the top of the screen, the opposite of Codea 
    --so setting a view's frame needs to take that into account
    safariBrowser.view.frame = objc.rect(x, HEIGHT - y, width, height)
    --note: a neat feature here is that tapping "Done" on the navigation bar stops the project running
end
